/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.server.service.impl;

import org.appspy.server.bo.Application;
import org.appspy.server.bo.ApplicationVersion;
import org.appspy.server.bo.ClientHost;
import org.appspy.server.bo.DelayType;
import org.appspy.server.bo.Environment;
import org.appspy.server.bo.HitResult;
import org.appspy.server.bo.Host;
import org.appspy.server.bo.Session;
import org.appspy.server.bo.URL;
import org.appspy.server.bo.User;
import org.appspy.server.bo.Webapp;
import org.appspy.server.dao.ApplicationDao;
import org.appspy.server.dao.EnvironmentDao;
import org.appspy.server.dao.PerfDao;
import org.springframework.transaction.PlatformTransactionManager;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public interface DataCollectionUtils {

	public ApplicationVersion getApplicationVersion(String appCode, String versionName);

	/**
	 * @return the dataProcessor
	 */
	public DataProcessor getDataProcessor();

	/**
	 * @param dataProcessor the dataProcessor to set
	 */
	public void setDataProcessor(DataProcessor dataProcessor);

	/**
	 * @return the transactionManager
	 */
	public PlatformTransactionManager getTransactionManager();

	/**
	 * @param transactionManager the transactionManager to set
	 */
	public void setTransactionManager(PlatformTransactionManager transactionManager);

	/**
	 * @return the applicationDao
	 */
	public ApplicationDao getApplicationDao();

	/**
	 * @param applicationDao the applicationDao to set
	 */
	public void setApplicationDao(ApplicationDao applicationDao);

	/**
	 * @return the environmentDao
	 */
	public EnvironmentDao getEnvironmentDao();

	/**
	 * @param environmentDao the environmentDao to set
	 */
	public void setEnvironmentDao(EnvironmentDao environmentDao);

	public Environment getEnvironment(String orgCode, String envName);
	
	public Host getHost(String hostName, Environment env);

	public Webapp getWebapp(String webappName, Application app);

	public Session getSession(String sessionId, ApplicationVersion version, Environment env, User user, ClientHost clientHost);
	
	public ClientHost getClientHost(String clientHostIP);
	
	public User getUser(String userName);
	
	public URL getURL(String urlName, Webapp webapp);
	
	public HitResult getHitResult(int res);
	
	public DelayType getDelayType(int type);

	/**
	 * @return the perfDao
	 */
	public PerfDao getPerfDao();
}
