/**
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 *
 * You may obtain a copy of the License at 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */
package org.appspy.server.service.impl.cache;

import java.io.Serializable;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class AppVersionKey implements Serializable
{

	/**
     * 
     */
    private static final long serialVersionUID = 1L;
    
    protected String mApp = null;
    protected String mVersion = null;
    
    public AppVersionKey(String app, String version)
    {
    	mApp = app;
    	mVersion = version;
    }

	/* (non-Javadoc)
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj)
    {
    	if (obj instanceof AppVersionKey)
    	{
    		AppVersionKey comp = (AppVersionKey) obj;
    		return (comp.getApp().equals(getApp()) && comp.getVersion().equals(getVersion()));
    	}
	    return false;
    }

	/* (non-Javadoc)
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode()
    {
	    return (getApp() + getVersion()).hashCode();
    }

	/**
     * @return the app
     */
    public String getApp()
    {
    	return mApp;
    }

	/**
     * @param app the app to set
     */
    public void setApp(String app)
    {
    	mApp = app;
    }

	/**
     * @return the version
     */
    public String getVersion()
    {
    	return mVersion;
    }

	/**
     * @param version the version to set
     */
    public void setVersion(String version)
    {
    	mVersion = version;
    }

    
}
