/**
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 *
 * You may obtain a copy of the License at 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */
package org.appspy.server.service.impl.cache;

import java.io.Serializable;

import org.appspy.server.bo.Environment;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class EnvHostKey implements Serializable
{

	/**
     * 
     */
    private static final long serialVersionUID = 1L;
    
    protected Environment mEnv = null;
    protected String mHost = null;
    
    public EnvHostKey(Environment env, String host)
    {
    	mEnv = env;
    	mHost = host;
    }

	/* (non-Javadoc)
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj)
    {
    	if (obj instanceof EnvHostKey)
    	{
    		EnvHostKey comp = (EnvHostKey) obj;
    		return (comp.getEnv().getId().equals(getEnv().getId()) && comp.getHost().equals(getHost()));
    	}
	    return false;
    }

	/* (non-Javadoc)
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode()
    {
	    return (getEnv().getId() + getHost()).hashCode();
    }

	/**
     * @return the env
     */
    public Environment getEnv()
    {
    	return mEnv;
    }

	/**
     * @param env the env to set
     */
    public void setEnv(Environment env)
    {
    	mEnv = env;
    }

	/**
     * @return the host
     */
    public String getHost()
    {
    	return mHost;
    }

	/**
     * @param host the host to set
     */
    public void setHost(String host)
    {
    	mHost = host;
    }

}
