/**
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 *
 * You may obtain a copy of the License at 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */
package org.appspy.server.service.impl.cache;

import java.io.Serializable;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class OrgEnvKey implements Serializable
{

	/**
     * 
     */
    private static final long serialVersionUID = 1L;
    
    protected String mOrg = null;
    protected String mEnv = null;
    
    public OrgEnvKey(String org, String env)
    {
    	mOrg = org;
    	mEnv = env;
    }

	/* (non-Javadoc)
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj)
    {
    	if (obj instanceof OrgEnvKey)
    	{
    		OrgEnvKey comp = (OrgEnvKey) obj;
    		return (comp.getOrg().equals(getOrg()) && comp.getEnv().equals(getEnv()));
    	}
	    return false;
    }

	/* (non-Javadoc)
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode()
    {
	    return (getOrg() + getEnv()).hashCode();
    }

	/**
     * @return the org
     */
    public String getOrg()
    {
    	return mOrg;
    }

	/**
     * @param org the org to set
     */
    public void setOrg(String org)
    {
    	mOrg = org;
    }

	/**
     * @return the env
     */
    public String getEnv()
    {
    	return mEnv;
    }

	/**
     * @param env the env to set
     */
    public void setEnv(String env)
    {
    	mEnv = env;
    }

    
}
