/**
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 *
 * You may obtain a copy of the License at 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */
package org.appspy.server.service.impl.cache;

import java.io.Serializable;

import org.appspy.server.bo.Webapp;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class URLKey implements Serializable
{

	/**
     * 
     */
    private static final long serialVersionUID = 1L;
    
    protected Webapp mWebapp = null;
    protected String mURL = null;
    
    public URLKey(Webapp webapp, String url)
    {
    	mWebapp = webapp;
    	mURL = url;
    }

	/* (non-Javadoc)
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj)
    {
    	if (obj instanceof URLKey)
    	{
    		URLKey comp = (URLKey) obj;
    		return (comp.getURL().equals(getURL()) && 
    				comp.getWebapp().getId().equals(getWebapp().getId()));
    	}
	    return false;
    }

	/* (non-Javadoc)
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode()
    {
	    return (getURL() + getWebapp().getId()).hashCode();
    }

	/**
     * @return the webapp
     */
    public Webapp getWebapp()
    {
    	return mWebapp;
    }

	/**
     * @param webapp the webapp to set
     */
    public void setWebapp(Webapp webapp)
    {
    	mWebapp = webapp;
    }

	/**
     * @return the uRL
     */
    public String getURL()
    {
    	return mURL;
    }

	/**
     * @param url the uRL to set
     */
    public void setURL(String url)
    {
    	mURL = url;
    }

}
