/**
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 *
 * You may obtain a copy of the License at 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */
package org.appspy.server.service.impl.cache;

import java.io.Serializable;

import org.appspy.server.bo.Application;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class WebappKey implements Serializable
{

	/**
     * 
     */
    private static final long serialVersionUID = 1L;
    
    protected Application mApp = null;
    protected String mWebappName = null;
    
    public WebappKey(Application app, String webappName)
    {
    	mApp = app;
    	mWebappName = webappName;
    }

	/* (non-Javadoc)
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj)
    {
    	if (obj instanceof WebappKey)
    	{
    		WebappKey comp = (WebappKey) obj;
    		return (comp.getApp().getId().equals(getApp().getId()) && comp.getWebappName().equals(getWebappName()));
    	}
	    return false;
    }

	/* (non-Javadoc)
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode()
    {
	    return (getApp().getId() + getWebappName()).hashCode();
    }

	/**
     * @return the app
     */
    public Application getApp()
    {
    	return mApp;
    }

	/**
     * @param app the app to set
     */
    public void setApp(Application app)
    {
    	mApp = app;
    }

	/**
     * @return the webappName
     */
    public String getWebappName()
    {
    	return mWebappName;
    }

	/**
     * @param webappName the webappName to set
     */
    public void setWebappName(String webappName)
    {
    	mWebappName = webappName;
    }

}
